package cn.com.ty.lift.common.model;

import lombok.Data;

import java.time.LocalDateTime;

/**
 * @author huangyuan
 * @date 2019-12-22
 * @description 实时推送消息实体类
 */
@Data
public class TimeyMessage {

    /**
     * 消息id
     */
    private Long id;

    /**
     * 用户id，用推送的用户id
     */
    private Long userId;

    /**
     * 推送消息内容
     */
    private String content;

    /**
     * 消息类型 1.团队消息 2.工作消息 3.保养消息 4.急修消息 5.年检消息 6.提醒(经营简报)
     */
    private Integer type;

    /**
     * 查看标识:1:已经查看, 0:未查看
     */
    private Integer viewFlag;

    /**
     * 创建者id
     */
    private Long createUserId;

    /**
     * 创建时间
     */
    private LocalDateTime createTime;
}
